ClassicEscalatable (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.ClassicEscalatable class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class ClassicEscalatable

    java.lang.Object
      org.hyperic.hq.escalation.server.session.EscalatableBase
          org.hyperic.hq.events.server.session.ClassicEscalatable

All Implemented Interfaces:
  Escalatable

    public class ClassicEscalatable

extends EscalatableBase

Constructor Summary
`ClassicEscalatable(Alert a, java.lang.String shortReason, java.lang.String longReason)`

Method Summary
`AlertInterface` | `getAlertInfo()` Get specific information about the alert.
`java.util.List` | `getAuxLogs()` Get a list of `AlertAuxLog`s associated with this escalatable.

Methods inherited from class org.hyperic.hq.escalation.server.session.EscalatableBase
`getDefinition, getId, getLongReason, getShortReason, isAcknowledgeable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassicEscalatable

    public ClassicEscalatable(Alert a,
                              java.lang.String shortReason,
                              java.lang.String longReason)

Method Detail

### getAlertInfo

    public AlertInterface getAlertInfo()

  Description copied from interface: `Escalatable`
  Get specific information about the alert.

### getAuxLogs

    public java.util.List getAuxLogs()

  Description copied from interface: `Escalatable`
  Get a list of `AlertAuxLog`s associated with this escalatable.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.